Bug 200515 - Problems with end tag completion in JSF editor
Problems with end tag completion in JSF editor
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
7.0.1
PC Windows XP
: P3 (vote)
: 7.1
Assigned To: Marek Fukala
issues@javaee
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 12:26 UTC by Vladimir Riha
Modified: 2011-09-26 13:37 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2011-07-29 12:26:57 UTC
Steps to reproduce:
- create new Java Web application, Java EE 6, Glassfish 3.1.1, JSF framework (server library JSF 2.0)
- go to opened index.xhtml
- paste following somewhere inside <h:body>:
<h:link></|
- invoke cc in place of "|", </html> is incorrectly autocompleted. 

If I change the prefix letter from "h" to for example "q" and repeat invoking cc, non-matching </html> is autocompleted again.

The end tag CC works if I accept offered end tag immediately after finishing start tag (again at the place of "|": <h:link>| ). Therefore it's P3 for me but feel free to change it.

Product Version: NetBeans IDE 7.0.1 (Build 201107211357)
Java: 1.7.0; Java HotSpot(TM) Client VM 21.0-b17
System: Linux version 2.6.38-10-generic running on i386; UTF-8; en_US (nb)
Comment 1 Marek Fukala 2011-07-29 12:44:45 UTC
fixed in web-main#47f9494af663

thanks for the report!
Comment 2 Quality Engineering 2011-07-30 13:46:55 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/47f9494af663
User: Marek Fukala <mfukala@netbeans.org>
Log: #200515 - Problems with end tag completion in JSF editor
Comment 3 Vladimir Riha 2011-08-01 07:53:23 UTC
verified, thanks for quick fix

Product Version: NetBeans IDE Dev (Build web-main-5448-on-20110729)
Java: 1.7.0; Java HotSpot(TM) Client VM 21.0-b17
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)
Comment 4 Marek Fukala 2011-08-25 14:08:08 UTC
changeset:   205842:b30a7d119cd9
branch:      release701_fixes
summary:     #200515 - Problems with end tag completion in JSF editor

changeset:   205843:1dd64044ecd0
branch:      release701_fixes
summary:     increasing spec version after transplanting 47f9494af663
Comment 5 Quality Engineering 2011-08-26 04:26:24 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/b30a7d119cd9
User: Marek Fukala <mfukala@netbeans.org>
Log: #200515 - Problems with end tag completion in JSF editor
Comment 6 Quality Engineering 2011-09-26 13:37:01 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/cb0b5d0a6893
User: Marek Fukala <mfukala@netbeans.org>
Log: #200515 - Problems with end tag completion in JSF editor


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo